| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreShaderExNormalMapLighting.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderExPerPixelLighting.h"`
`#include "OgreLight.h"`
`#include "OgreCommon.h"`

## Classes
class | Ogre::RTShader::NormalMapLighting
| Normal Map Lighting extension sub render state implementation. More...
class | Ogre::RTShader::NormalMapLightingFactory
| A factory that enables creation of NormalMapLighting instances. More...

## Namespaces
| Ogre
| Ogre::RTShader

## Macros
#define | SGX_FUNC_CONSTRUCT_TBNMATRIX "SGX_ConstructTBNMatrix"
#define | SGX_FUNC_FETCHNORMAL "SGX_FetchNormal"
#define | SGX_LIB_NORMALMAPLIGHTING "SGXLib_NormalMapLighting"